
Foreman - Bug #7995

Unable to escape build mode for hosts with expired tokens

10/20/2014 11:12 AM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. Create new host

2. Let the token to expire (set token_duration to one minute and wait or modify using the console).

3. Unattended URL now does not work (expected) *

4. Locate the host in the UI, click on Cancel build. Error.

- wget http://localhost:3000/unattended/built?=token=f974fdcf-c7e3-4762-ae61-f4fdd6aa0bd1 -> 404

Since we have token_duration set to one hour by default, we can expect those errors on deployments with slow installations.

Related issues:

Related to Foreman - Bug #7994: Set token_duration to 6 hours instead of one ... Closed 10/20/2014

History

#1 - 10/20/2014 11:12 AM - Lukas Zapletal

- Related to Bug #7994: Set token_duration to 6 hours instead of one hour added

#2 - 10/21/2014 03:15 AM - Dominic Cleal

- Category set to Unattended installations

- Status changed from New to Need more information

I'm not sure what you're trying to say here.  If the token's expired then this is by design.

There however shouldn't be an error (what error?) in the UI when you cancel the build, that sounds like another issue.

#3 - 02/29/2016 07:06 AM - Lukas Zapletal

- Status changed from Need more information to Closed

Not able to reproduce with develop, hosts with expired tokens now exit build mode cleanly.

#4 - 02/29/2016 09:26 AM - Dominic Cleal

- Status changed from Closed to Rejected
